"But unknown to many..." = "Pero muchos desconocían que...";
"Sword and Sorcery" = "Espada y brujería";
"And suddenly..." = "Y de repente...";
"Lettering by:" = "Rotulación de:";
"Meanwhile..." = "Mientras...";
"but unexpectedly..." = "pero de improviso...";
"As the legend said..." = "Cuenta la leyenda...";
"Story by:" = "Relato de:";
"Your words here..." = "Sus palabras aquí...";
"Roar!!" = "¡¡Rgrgrgr!";
"In a world not too far from our own..." = "En un mundo no muy lejano al nuestro...";
"Artwork by:" = "Gráficos de:";
"A long, long time ago..." = "Hace mucho, mucho tiempo...";
"There lived a beast..." = "Allí vivía un monstruo...";
"Issue:" = "Número:";
